Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#21Messageil y a 4 jours

Pas de souci sous Xfce : 576 paquets 2.2 Go quand même !
- pas de python 3.11 résiduel
- pacnew pour pacman et mkinitcpio
- la ligne SyncFirst a disparu de pacman.conf lors de la mise à jour, elle n'y était plus quand j'ai traité le pacnew. Elle est bien présente dans le Timeshift d'hier.
- pour les kf5, une vingtaine de paquets, mais un seul supprimé (kdoctools5-5.115.0-1) par sudo pacman -Ru kf5, les autres restent même en relançant :

sudo pacman -Ru kf5
vérification des dépendances…
avertissement : supprime kcodecs5 de la liste de cible
avertissement : supprime kcompletion5 de la liste de cible
avertissement : supprime kconfig5 de la liste de cible
avertissement : supprime kconfigwidgets5 de la liste de cible
avertissement : supprime kcoreaddons5 de la liste de cible
avertissement : supprime ki18n5 de la liste de cible
avertissement : supprime kio5 de la liste de cible
avertissement : supprime kjobwidgets5 de la liste de cible
avertissement : supprime kparts5 de la liste de cible
avertissement : supprime ktexteditor5 de la liste de cible
avertissement : supprime kwidgetsaddons5 de la liste de cible
avertissement : supprime kxmlgui5 de la liste de cible
avertissement : supprime kauth5 de la liste de cible
avertissement : supprime kitemmodels5 de la liste de cible
avertissement : supprime kguiaddons5 de la liste de cible
avertissement : supprime solid5 de la liste de cible
avertissement : supprime kbookmarks5 de la liste de cible
avertissement : supprime kwallet5 de la liste de cible
avertissement : supprime ktextwidgets5 de la liste de cible
avertissement : supprime kded5 de la liste de cible
avertissement : supprime syntax-highlighting5 de la liste de cible
avertissement : supprime kglobalaccel5 de la liste de cible
avertissement : supprime kiconthemes5 de la liste de cible
avertissement : supprime kitemviews5 de la liste de cible
avertissement : supprime kservice5 de la liste de cible
avertissement : supprime kcrash5 de la liste de cible
avertissement : supprime kwindowsystem5 de la liste de cible
avertissement : supprime karchive5 de la liste de cible
avertissement : supprime sonnet5 de la liste de cible
avertissement : supprime knotifications5 de la liste de cible
avertissement : supprime kdbusaddons5 de la liste de cible
 il n’y a rien à faire
Bon on va vivre avec :gsourire:

[Edit] en regardant de plus près, la moitié de ces "kf5" étaient liés à kompare, installé pour pacnew-chaser puis remplacé par meld. Un tiers venaient avec kwallet5, optionnel pour 2 ou 3 applis que je n'utilise pas. Exit ces packages ... Il reste environ 5 "kf5" mais cette fois liés à manjaro-setting-manager : je crois que je vais attendre un peu avant de les virer :rigole: [/Edit]

Merci aux dev pour ce gros morceau :merci:
Dernière modification par Denis-pomil y a 4 jours, modifié au total 1 fois.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#22Messageil y a 4 jours

Salut,
Eh ben chez moi ça a plutôt merdé cette maj ! plus d'applications dans le menu, plus d'icônes affichées dans le tableau de bord, juste quelques icônes de pages vierges... juste Firefox qui s'est affiché.

pacman -Qo /usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/main.qml
/usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/main.qml appartient à plasma-desktop 6.0.4-1
    ~  pacman -Qo  /usr/lib/libKF6KIOFileWidgets.so.6                                                   ✔ 
/usr/lib/libKF6KIOFileWidgets.so.6 appartient à kio 6.1.0-1
    ~  pacman -Qo /usr/lib/qt6/qml/org/kde/private/desktopcontainment/folder/libfolderplugin.so         ✔ 
/usr/lib/qt6/qml/org/kde/private/desktopcontainment/folder/libfolderplugin.so appartient à plasma-desktop 6.0.4-1
Que faire ? qu'est-ce qui a foiré ?

________________________________________________________________________
Après avoir supprimé quelques paquets kde5 avec sudo pacman -Ru kf5, ça s'est remis un peu d'aplomb (retour des applis dans le menu)
mais c'est pas encore ça, par exemple aucune réaction réduire / agrandir les fenêtres des applis avec les icônes du tableau de bord
_________________________________________________________________________
Après redémarrage j'ai retrouvé mon ancien bureau et tout comme il faut... ouf !! :gsourire:

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#23Messageil y a 4 jours

Bonjour,

Merci pour cette màj détaillée. Tout s'est bien déroulé avec mon portable Xfce.
Notez que si une construction échoue, vous devrez reconstruire ce qui reste, un ou plusieurs à la fois.
Et comment faire pour reconstruire un à un ? Quelle est la commande à taper, pour, par exemple, le logiciel Vorta ?

Merci.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#24Messageil y a 4 jours

pamac build $(pacman -Qoq /usr/lib/python3.11) c'est en gros :

pamac build paquet1 paquet2 paquet3 ... paquet8
Si "paquet5" ne passe pas ...
on peut faire par exemple pamac build paquet6 paquet7 paquet8 puis ensuite pamac build paquet5.

Et avec yay, si on préfère : yay -S paquetX --rebuildtree.



--------------------------------
@alex666

Comme ecrit plus haut, ton erreur vient d'une application ou librairie non a jour (truc non dans nos dépôts). Il n'est pas possible de deviner ce que tu as sur ta machine. Regarde tes paquets aur (kde), les recompiler est une chose classique à faire.
Sinon, si pas aur, alors c'est un "truc" installé via le "kde store".

Un exemple ici, c'était telegram qui générait la même erreur ! certainement pas le cas chez nous puisque telegram-desktop est dans nos dépôts officiels.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#25Messageil y a 4 jours

Donc je fais : ?

pamac build $(pacman  vorta /usr/lib/python3.11)

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#26Messageil y a 4 jours

papajoke a écrit : il y a 4 jours puis ensuite pamac build paquet5
n'était pas clair ? :pleure: Tu passes uniquement le nom de ton paquet que tu désires installé.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#27Messageil y a 4 jours

papajoke a écrit : il y a 4 jours
papajoke a écrit : il y a 4 jours puis ensuite pamac build paquet5
n'était pas clair ? :pleure: Tu passes uniquement le nom de ton paquet que tu désires installé.
Merci @papajoke , ça marche, je vais reconstruire un par un. Il faut que je trouve le temps d'apprendre plus les commandes... Je suis très content de Manjaro, malheureusement le temps me manque, je ne suis qu'un simple utilisateur lambda.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#28Messageil y a 3 jours

Bonjour à tous,
Tout s'est à peu près bien passé avec KDE. J'ai juste perdu mon thème et il a fallu refaire quelques réglages. J'ai l'impression que c'est un petit peu plus rapide. Mais je me leurre peut-être. Par contre, j'ai essayé le noyau 6.9.01, mais le démarrage tourne dans le vide. Si quelqu'un a une explication...
Toujours aussi satisfait de Manjaro. Bravo à ceux qui y contribuent.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#29Messageil y a 3 jours

Petite originalité ce matin dans Nautilus : Image

Depuis la maj, impossible de déplacer un fichier de mon PC vers mon NAS sans retaper à chaque fois login et mot de passe ce que je n'avais pas besoin de faire avant...

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#30Messageil y a 3 jours

imarco a écrit : il y a 3 jours Petite originalité ce matin dans Nautilus : Image

Depuis la maj, impossible de déplacer un fichier de mon PC vers mon NAS sans retaper à chaque fois login et mot de passe ce que je n'avais pas besoin de faire avant...
Curieux, avec mes NAS (un Synologie et un Qnap) aucun soucis. Ton fstab a t'il été modifié par la mise à jour (j'ai eu quelques mauvaises surprise avec mes imprimantes en réseau, pourquoi pas les NAS)....

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#31Messageil y a 3 jours

Aucune idée si fstab a été modifié... :saispas:
  • # <file system> <mount point> <type> <options> <dump> <pass>

    UUID=1EDB-4D17 /boot/efi vfat defaults,noatime 0 2
    UUID=928e6169-2432-4f8f-86ba-2047d18b7bba / ext4 defaults,noatime 0

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#32Messageil y a 3 jours

vre
imarco a écrit : il y a 3 jours Aucune idée si fstab a été modifié... :saispas:
  • # <file system> <mount point> <type> <options> <dump> <pass>

    UUID=1EDB-4D17 /boot/efi vfat defaults,noatime 0 2
    UUID=928e6169-2432-4f8f-86ba-2047d18b7bba / ext4 defaults,noatime 0
Curieux je ne vois aucune trace du montage des NAS. Je pense que si tu ne sais pas comment faire pour modifier le fstab, il faudrait ouvrir un nouveau sujet, et je pourrais te donner la marche à suivre sans pour cela encombrer ce sujet.
En fait Gnome passe par un autre chemin que je n'ai jamais réussi à faire fonctionner aussi simplement qu'un dossier "pointant" sur le NAS via un montage lors du démarrage du PC.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#33Messageil y a 3 jours

Ça marche vu que je viens de voir qu'avec Dolphin, là il mettait carrément "accès refusé"...
Accès refusé à smb://nas.local/home.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#34Messageil y a 3 jours

Environ 660 mise à jour proposées sur mon Portable Lenovo X250 Thinkpad sous KDE (en dual boot avec W10 pour me permettre l'utilisation d'une appli de mise à jour de chez le constructeur auto KIA).
Contrairement à ma tour aucun soucis. Si Gnome avait "perdu" les imprimantes et surtout les pilotes Foomatics (seuls capables de faire tourner ma Brother HL1430 pas toute jeune) et a nécessité quelques recherches, sous KDE rien de tel.
Merci à toute l'équipe, sacré boulot.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#35Messageil y a 2 jours

Bonjour, :bjr:
J'ai un petit soucis avec la reconstruction des paquets python..

[redhead@redhead-pc ~]$ pamac build $(pacman -Qoq /usr/lib/python3.11)
Installer avahi depuis extra ? [o/N] o
...
...
Installer zbar depuis extra ? [o/N] o
Erreur: impossible de trouver la cible : python-manjaro-sdk
Je ne comprend pas l'erreur, ce paquet n’existe pas..

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#36Messageil y a 2 jours

L'erreur est "normale"

pacman -Q... recherche dans les paquets installés.
Certains paquets disparaissent de nos dépôts, mais aussi de aur. Si ce paquet orphelin est toujours installé, il n'est plus possible de le mettre à jour.
Si le paquet était un paquet python, alors il est installé dans un répertoire qui ne devrait même plus exister /usr/lib/python"Old_version".

Ces paquets orphelins sont à désinstaller puisqu'ils ne peuvent même plus fonctionner avec la nouvelle version python.
Avec cette mise à jour, il y a sans doute 2 paquets python manjaro obsolètes, c'est dans les messages précédents.
redhead a écrit :Installer avahi depuis extra ? [o/N] o
Installer zbar depuis extra ? [o/N] o
Vraiment étrange ta sortie, la commande est à passer après mise à jour ! Elle n'existe que pour mettre à jour les paquets python qui ne sont pas dans nos dépôts.

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#37Messageil y a 2 jours

papajoke a écrit : il y a 2 jours Vous devrez reconstruire tous les paquets AUR Python qui ont installés pour python 3.11 (avant cette mise à jour).
Alors je l'ai fait avant mise à jour :gsourire:
..
Je viens de comprendre.
Tous les paquets installés avant mise à jour devront être reconstruit après mise à jour, c'est ça ?

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#38Messageil y a 2 jours

Oui, tous les paquets python qui ne sont pas dans nos dépôts

Normal : lorsque l'on installe la plupart des paquets qui utilisent python:
pacman copie les fichiers dans /usr/lib/python"LA_VERSION_COURANTE".

ls -ld /usr/lib/python*
drwxr-xr-x 39 root root 4096 13 mai   13:18 /usr/lib/python3.12/
Si on change de version (1 fois par an avec python), le prochain sera /usr/lib/python3.13, donc le prochain python ne cherchera que dans "/usr/lib/python3.13".

Les paquets (python) dans nos dépôts vont tous êtres recompilés par les mainteneurs arch/manjaro pour "déplacer" les fichiers. Déplacement mais aussi une pré-compilation python (fichiers .pyc).
Donc avec une mise à jour de python, nous avons toujours tous les paquets python avec aussi une nouvelle version (juste un incrément de "rel" pour forcer une recompilation)

Si on ne recompile pas par nous-même les paquets externes (aur), ils ne pourront jamais fonctionner avec python3.13 (pas bon répertoire et sans doute ".pyc" incompatible).

Avec la commande pacman -Qo..., on cherche après mise à jour, tout ce qui reste dans l'ancien répertoire. Si on trouve des choses, elles sont cassées (on supprime ou recompile pour les déplacer).



Il y a 1an , 2ans, nous avons fait exactement la même chose

147605

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#39Messageil y a 2 jours

Ok, donc j'ai fais la mise à jour et maintenant, j'ai ça :

[redhead@redhead-pc ~]$ pacman -Qoq /usr/lib/python3.11/
python-manjaro-sdk
[redhead@redhead-pc ~]$ pamac build python-manjaro-sdk
Erreur: impossible de trouver la cible : python-manjaro-sdk
C'est quoi ce python-manjaro-sdk ?

[Stable] Mise à jour 13 et 18/05/2024 - Kernels, Plasma 6, Gnome 46, LxQT 2.0, Nvidia, Pacman, Python 3.12

#40Messageil y a 2 jours

C'était dans les messages de ce sujet :roll:
certains utilisateurs ont : la librairie python-manjaro-sdk et l'application web-installer-url-handler, ce sont des anciens paquets manjaro supprimés (de nos dépôts). Puisque pour et par manjaro : ils n'ont jamais été dans aur.
Ce sont des paquets orphelins, il est donc normal que nous les supprimions comme tout orphelin.
Répondre